/*VH01 Theme 'Okasu' - Based on OKdesuka*/

     /*Extra Font*/
@font-face {
    font-family: 'Earthbound';
    src: url('/static/fonts/earthbound.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'Mother2';
    src: url('/static/fonts/mother2.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}

@font-face {
    font-family: 'MrSaturn';
    src: url('/static/fonts/mrsaturn.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
}


@keyframes scrollBackground {
  0% {
    background-position: 0 0;
  }
  100% {
    background-position: -500px 500px; /* Adjust these values to control the scroll speed */
  }
}



body {
  background: url('/static/themes/vh01/bg_blue.png') repeat;
      animation: scrollBackground 60s linear infinite; 
  color: white;
  font-family: 'Earthbound', 'Mother2', 'Courier New';
  font-size: 12pt;
  margin: 0;
  padding: 0;
  margin: 0;
  padding: 0;
}

div.thread {
  background-color: #23161d;
  background-image: url('/static/themes/vh01/diary.png');
  border: 2px solid #383838; /* Dark border */
}


header div.subtitle, h1 {
    color: #7b52f7;
    font-family: 'Mother2', Courier New;
    text-align: center;
}

hr {
  border: none; 
  height: 12px; 
  background-image: url('/static/themes/vh01/border.png');
}

 div.post{
  max-width: 50%;
  display: flex auto;
  align-items: flex-start;
  margin-left: 300px; 
  background: #1e2832;
  color: white;
  text-shadow: none;
  padding: 6px;
  border: 8px solid transparent; /* Initial border setup */
  border-radius: 8px;
}

div.post.reply {
  background: #1e2832;
  color: white;
  text-shadow: none;
  padding: 2px;
  border: 8px solid transparent; /* Initial border setup */
  border-radius: 8px;
}

div.post.reply div.body {
  word-wrap: break-word;
  white-space: pre-wrap;
  text-shadow: none;
}

div.post.reply div.body a {
  color: #6bd6bd;
  text-shadow: none;
}


div.ban {
background: #1e2832;
  color: white;
  text-shadow: none;
  padding: 6px;
  border: 8px solid transparent; /* Initial border setup */
  border-radius: 8px;max-width: 940px;
}

a:visited {
    color: #6bd6bd;
}


a, a:visited {
    text-decoration: underline;
    color: #6bd6bd;
}

div.post.reply div.body a:hover {
  color: #e7a552;
}

div.post.reply.highlighted {
  background: #290829;
  color: #ff845a;
  border-radius: 8px;
}

.intro span.name {
  color: #f7f7bd;
  font-weight: bold;
}

.intro span.subject {
    color: #7b52f7;
    font-weight: bold;
}

span.quote {
  background-color: #9452f7;
  color: white; 
  padding: 2px 4px;
  display: inline-block;
}

form table tr th {
    background: #9452f7;
	color: #white;
	text-shadow: none;
}




span.spoiler:before {
  content: "[";
  color: white;
}

span.spoiler:after {
  content: "]";
  color: white;
}

div.boardlist:not(.bottom) {
   background-image: none;
   background-color: #111111 !important;
   padding: 4px 4px;
   box-shadow: 2px 2px rgba(0, 0, 0, 0.5) !important;
   text-shadow: none;
   }


.desktop-style div.boardlist:nth-child(1) {
    box-shadow: 0 1px 2px rgba(0, 0, 0, .15);
    border-bottom: 1px solid;
    background: #1e2832;
   /*position: static !important;*/
}


div.pages.top {
    display: block;
    position: static;
   background: #1e2832;
   color: white;
   text-shadow: none;
   padding: 6px;
   border: 8px solid transparent; 
   border-radius: 8px;max-width: 220px;
    opacity: 0.9;
   text-align: center !important;
}

div.pages a.selected {
    color: #7b52f7;
    font-weight: bolder;
}



/* input */

input[type="text"], textarea {
  background: #1e2832;
  color: white;
  text-shadow: none;
  padding: 2px;
  border: 8px solid transparent; 
  border-radius: 4px;
}

input[type="submit"], input[type="button"] {
  background: #ff85a2;
  color: white;
 padding: 2px;
  border: 2px solid #ff3377;
  padding: 6px 12px;
    border-radius: 6px;
  cursor: pointer;
}

input[type="submit"]:hover, input[type="button"]:hover {
  background: #ff3377;
  color: black;
}



    /* Hidden*/
div.boardlist.bottom {
   visibility: hidden !important;}
